import request from '@/utils/request'

// 查询市场监管-侵犯知产列表
export function listInfringement(query) {
    return request({
        url: '/crmIpInfringement/findByPage',
        method: 'get',
        params: query
    })
}

// 查询市场监管-侵犯知产详细
export function getInfringement(id) {
    return request({
        url: '/crmIpInfringement/' + id,
        method: 'get'
    })
}

// 新增市场监管-侵犯知产
export function addInfringement(data) {
    return request({
        url: '/crmIpInfringement',
        method: 'post',
        data: data
    })
}

// 修改市场监管-侵犯知产
export function updateInfringement(data) {
    return request({
        url: '/crmIpInfringement',
        method: 'put',
        data: data
    })
}

// 删除市场监管-侵犯知产
export function delInfringement(id) {
    return request({
        url: '/crmIpInfringement/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfringementBatch(ids) {
    console.log(ids);
    return request.post('/crmIpInfringement/delete',ids)
}